Subject: System "from" info and + marks

From: Jeffrey Goldberg <[email-masked]>
Date: Sat, 14 Oct 1995 20:20:13 +0100

I have two related questions.  Both probably involve modifying source
and would like to know if others have already done this.

Pine appears to get its information from getpwuid (or something similar).
The problem is that my "From" line should read like my "Reply-to" above.
While I can easily use "Reply-To", I am not sure that I can teach
all our users here to do the same.

So, what I would like to do is get the "Real Name" from the GCOS field
(as is done now), but get the username part of the address from another
source (I know where that source will be).

Is this the right way to go about things?  Has anyone else done
something similar?

The second related question is that I want message to me specifically
to be marked with a "+", and that should include message to
"[email-masked]" and not just the few that are to
"[email-masked]".  This is a similar problem.  Chances are, this
isn't a difficult modification at all, but what really would be nice
if there were a configuration option for "alternate-names" or something
like that.

-jeff

Jeffrey Goldberg
    Email:	[email-masked]
    WWW:	<http://WWW.Cranfield.ac.uk/public/cc/cc047/>